-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
-
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
Vue Range Selector - Date-Time Scale
In this demo, data used to define the RangeSelector scale comes in the string type. However, there is the valueType property that specifies the actual scale data type. As this property is set to «datetime», the string data will be cast to the date type.
Backend API
<template>
<DxRangeSelector
id="range-selector"
:data-source="dataSource"
v-model:value="range"
title="Select a Month Period"
>
<DxMargin :top="50"/>
<DxChart>
<DxCommonSeriesSettings
type="steparea"
argument-field="date"
/>
<DxSeries
value-field="dayT"
color="yellow"
/>
<DxSeries
value-field="nightT"
/>
</DxChart>
<DxScale value-type="datetime">
<DxTickInterval :days="2"/>
<DxMinorTickInterval :days="1"/>
</DxScale>
<DxSliderMarker format="day"/>
</DxRangeSelector>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import {
DxRangeSelector,
DxMargin,
DxChart,
DxCommonSeriesSettings,
DxSeries,
DxScale,
DxTickInterval,
DxMinorTickInterval,
DxSliderMarker,
} from 'devextreme-vue/range-selector';
import { dataSource } from './data.ts';
const range = ref(['2013/03/01', '2013/03/07']);
</script>
<style scoped>
#range-selector {
height: 400px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export const dataSource = [
{ date: '2013/03/01', dayT: 7, nightT: 2 },
{ date: '2013/03/02', dayT: 4, nightT: -1 },
{ date: '2013/03/03', dayT: 4, nightT: -2 },
{ date: '2013/03/04', dayT: 6, nightT: -3 },
{ date: '2013/03/05', dayT: 9, nightT: -1 },
{ date: '2013/03/06', dayT: 6, nightT: 3 },
{ date: '2013/03/07', dayT: 3, nightT: 1 },
{ date: '2013/03/08', dayT: 6, nightT: -1 },
{ date: '2013/03/09', dayT: 13, nightT: 2 },
{ date: '2013/03/10', dayT: 10, nightT: 2 },
{ date: '2013/03/11', dayT: 12, nightT: 4 },
{ date: '2013/03/12', dayT: 14, nightT: 6 },
{ date: '2013/03/13', dayT: 11, nightT: 3 },
{ date: '2013/03/14', dayT: 5, nightT: -2 },
{ date: '2013/03/15', dayT: 8, nightT: -1 },
{ date: '2013/03/16', dayT: 5, nightT: 0 },
{ date: '2013/03/17', dayT: 3, nightT: -2 },
{ date: '2013/03/18', dayT: 2, nightT: -2 },
{ date: '2013/03/19', dayT: 6, nightT: 1 },
{ date: '2013/03/20', dayT: 7, nightT: 0 },
{ date: '2013/03/21', dayT: 4, nightT: -1 },
{ date: '2013/03/22', dayT: 5, nightT: -2 },
{ date: '2013/03/23', dayT: 8, nightT: 0 },
{ date: '2013/03/24', dayT: 8, nightT: 1 },
{ date: '2013/03/25', dayT: 4, nightT: 2 },
{ date: '2013/03/26', dayT: 12, nightT: 3 },
{ date: '2013/03/27', dayT: 12, nightT: 2 },
{ date: '2013/03/28', dayT: 11, nightT: 3 },
{ date: '2013/03/29', dayT: 13, nightT: 4 },
{ date: '2013/03/30', dayT: 15, nightT: 4 },
{ date: '2013/03/31', dayT: 12, nightT: 7 },
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/25.2.6/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<dx-range-selector
id="range-selector"
title="Select a Month Period"
[value]="['2013/03/01', '2013/03/07']"
[dataSource]="dataSource"
>
<dxo-margin [top]="50"></dxo-margin>
<dxo-chart>
<dxi-series valueField="dayT" color="yellow"></dxi-series>
<dxi-series valueField="nightT"></dxi-series>
<dxo-common-series-settings type="steparea" argumentField="date">
</dxo-common-series-settings>
</dxo-chart>
<dxo-scale minorTickInterval="day" valueType="datetime">
<dxo-tick-interval [days]="2"></dxo-tick-interval>
</dxo-scale>
<dxo-slider-marker format="day"></dxo-slider-marker>
</dx-range-selector>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxRangeSelectorModule } from 'devextreme-angular';
import { Service, MonthPeriod } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
})
export class AppComponent {
dataSource: MonthPeriod[];
constructor(service: Service) {
this.dataSource = service.getPeriods();
}
}
@NgModule({
imports: [
BrowserModule,
DxRangeSelectorModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #range-selector {
height: 400px;
}
import { Injectable } from '@angular/core';
export class MonthPeriod {
date: string;
dayT: number;
nightT: number;
}
const periods: MonthPeriod[] = [{ date: '2013/03/01', dayT: 7, nightT: 2 },
{ date: '2013/03/02', dayT: 4, nightT: -1 },
{ date: '2013/03/03', dayT: 4, nightT: -2 },
{ date: '2013/03/04', dayT: 6, nightT: -3 },
{ date: '2013/03/05', dayT: 9, nightT: -1 },
{ date: '2013/03/06', dayT: 6, nightT: 3 },
{ date: '2013/03/07', dayT: 3, nightT: 1 },
{ date: '2013/03/08', dayT: 6, nightT: -1 },
{ date: '2013/03/09', dayT: 13, nightT: 2 },
{ date: '2013/03/10', dayT: 10, nightT: 2 },
{ date: '2013/03/11', dayT: 12, nightT: 4 },
{ date: '2013/03/12', dayT: 14, nightT: 6 },
{ date: '2013/03/13', dayT: 11, nightT: 3 },
{ date: '2013/03/14', dayT: 5, nightT: -2 },
{ date: '2013/03/15', dayT: 8, nightT: -1 },
{ date: '2013/03/16', dayT: 5, nightT: 0 },
{ date: '2013/03/17', dayT: 3, nightT: -2 },
{ date: '2013/03/18', dayT: 2, nightT: -2 },
{ date: '2013/03/19', dayT: 6, nightT: 1 },
{ date: '2013/03/20', dayT: 7, nightT: 0 },
{ date: '2013/03/21', dayT: 4, nightT: -1 },
{ date: '2013/03/22', dayT: 5, nightT: -2 },
{ date: '2013/03/23', dayT: 8, nightT: 0 },
{ date: '2013/03/24', dayT: 8, nightT: 1 },
{ date: '2013/03/25', dayT: 4, nightT: 2 },
{ date: '2013/03/26', dayT: 12, nightT: 3 },
{ date: '2013/03/27', dayT: 12, nightT: 2 },
{ date: '2013/03/28', dayT: 11, nightT: 3 },
{ date: '2013/03/29', dayT: 13, nightT: 4 },
{ date: '2013/03/30', dayT: 15, nightT: 4 },
{ date: '2013/03/31', dayT: 12, nightT: 7 },
];
@Injectable()
export class Service {
getPeriods(): MonthPeriod[] {
return periods;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@25.1.3/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.3/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.19',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.62',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.19/package.json',
'npm:devexpress-gantt@4.1.62/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
x
import React from 'react';
import RangeSelector, {
Margin, Chart, CommonSeriesSettings, Series, Scale, TickInterval, MinorTickInterval, SliderMarker,
} from 'devextreme-react/range-selector';
import { dataSource } from './data.ts';
const defaultValue = ['2013/03/01', '2013/03/07'];
const App = () => (
<RangeSelector
id="range-selector"
dataSource={dataSource}
title="Select a Month Period"
defaultValue={defaultValue}
>
<Margin top={50} />
<Chart>
<CommonSeriesSettings type="steparea" argumentField="date" />
<Series valueField="dayT" color="yellow" />
<Series valueField="nightT" />
</Chart>
<Scale valueType="datetime">
<TickInterval days={2} />
<MinorTickInterval days={1} />
</Scale>
<SliderMarker format="day" />
</RangeSelector>
);
export default App;
xxxxxxxxxx
import React from 'react';
import RangeSelector, {
Margin,
Chart,
CommonSeriesSettings,
Series,
Scale,
TickInterval,
MinorTickInterval,
SliderMarker,
} from 'devextreme-react/range-selector';
import { dataSource } from './data.js';
const defaultValue = ['2013/03/01', '2013/03/07'];
const App = () => (
<RangeSelector
id="range-selector"
dataSource={dataSource}
title="Select a Month Period"
defaultValue={defaultValue}
>
<Margin top={50} />
<Chart>
<CommonSeriesSettings
type="steparea"
argumentField="date"
/>
<Series
valueField="dayT"
color="yellow"
/>
<Series valueField="nightT" />
</Chart>
<Scale valueType="datetime">
<TickInterval days={2} />
<MinorTickInterval days={1} />
</Scale>
<SliderMarker format="day" />
</RangeSelector>
);
export default App;
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
xxxxxxxxxx
export const dataSource = [
{ date: '2013/03/01', dayT: 7, nightT: 2 },
{ date: '2013/03/02', dayT: 4, nightT: -1 },
{ date: '2013/03/03', dayT: 4, nightT: -2 },
{ date: '2013/03/04', dayT: 6, nightT: -3 },
{ date: '2013/03/05', dayT: 9, nightT: -1 },
{ date: '2013/03/06', dayT: 6, nightT: 3 },
{ date: '2013/03/07', dayT: 3, nightT: 1 },
{ date: '2013/03/08', dayT: 6, nightT: -1 },
{ date: '2013/03/09', dayT: 13, nightT: 2 },
{ date: '2013/03/10', dayT: 10, nightT: 2 },
{ date: '2013/03/11', dayT: 12, nightT: 4 },
{ date: '2013/03/12', dayT: 14, nightT: 6 },
{ date: '2013/03/13', dayT: 11, nightT: 3 },
{ date: '2013/03/14', dayT: 5, nightT: -2 },
{ date: '2013/03/15', dayT: 8, nightT: -1 },
{ date: '2013/03/16', dayT: 5, nightT: 0 },
{ date: '2013/03/17', dayT: 3, nightT: -2 },
{ date: '2013/03/18', dayT: 2, nightT: -2 },
{ date: '2013/03/19', dayT: 6, nightT: 1 },
{ date: '2013/03/20', dayT: 7, nightT: 0 },
{ date: '2013/03/21', dayT: 4, nightT: -1 },
{ date: '2013/03/22', dayT: 5, nightT: -2 },
{ date: '2013/03/23', dayT: 8, nightT: 0 },
{ date: '2013/03/24', dayT: 8, nightT: 1 },
{ date: '2013/03/25', dayT: 4, nightT: 2 },
{ date: '2013/03/26', dayT: 12, nightT: 3 },
{ date: '2013/03/27', dayT: 12, nightT: 2 },
{ date: '2013/03/28', dayT: 11, nightT: 3 },
{ date: '2013/03/29', dayT: 13, nightT: 4 },
{ date: '2013/03/30', dayT: 15, nightT: 4 },
{ date: '2013/03/31', dayT: 12, nightT: 7 },
];
xxxxxxxxxx
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': 'bundles/',
'externals:': 'bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.6/cjs',
'devextreme-react': 'npm:devextreme-react@24.2.6/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.15/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
xxxxxxxxxx
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
xxxxxxxxxx
export const dataSource = [
{ date: '2013/03/01', dayT: 7, nightT: 2 },
{ date: '2013/03/02', dayT: 4, nightT: -1 },
{ date: '2013/03/03', dayT: 4, nightT: -2 },
{ date: '2013/03/04', dayT: 6, nightT: -3 },
{ date: '2013/03/05', dayT: 9, nightT: -1 },
{ date: '2013/03/06', dayT: 6, nightT: 3 },
{ date: '2013/03/07', dayT: 3, nightT: 1 },
{ date: '2013/03/08', dayT: 6, nightT: -1 },
{ date: '2013/03/09', dayT: 13, nightT: 2 },
{ date: '2013/03/10', dayT: 10, nightT: 2 },
{ date: '2013/03/11', dayT: 12, nightT: 4 },
{ date: '2013/03/12', dayT: 14, nightT: 6 },
{ date: '2013/03/13', dayT: 11, nightT: 3 },
{ date: '2013/03/14', dayT: 5, nightT: -2 },
{ date: '2013/03/15', dayT: 8, nightT: -1 },
{ date: '2013/03/16', dayT: 5, nightT: 0 },
{ date: '2013/03/17', dayT: 3, nightT: -2 },
{ date: '2013/03/18', dayT: 2, nightT: -2 },
{ date: '2013/03/19', dayT: 6, nightT: 1 },
{ date: '2013/03/20', dayT: 7, nightT: 0 },
{ date: '2013/03/21', dayT: 4, nightT: -1 },
{ date: '2013/03/22', dayT: 5, nightT: -2 },
{ date: '2013/03/23', dayT: 8, nightT: 0 },
{ date: '2013/03/24', dayT: 8, nightT: 1 },
{ date: '2013/03/25', dayT: 4, nightT: 2 },
{ date: '2013/03/26', dayT: 12, nightT: 3 },
{ date: '2013/03/27', dayT: 12, nightT: 2 },
{ date: '2013/03/28', dayT: 11, nightT: 3 },
{ date: '2013/03/29', dayT: 13, nightT: 4 },
{ date: '2013/03/30', dayT: 15, nightT: 4 },
{ date: '2013/03/31', dayT: 12, nightT: 7 },
];
xxxxxxxxxx
<html lang="en">
<head></head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
xxxxxxxxxx
#range-selector {
height: 400px;
}